﻿using Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Endpoint
{
    public interface IRecipesService
    {

        public List<RecipeInfo> PopularRecipes();

        public Recipe GetRecipe(RecipeInfo info);

        public List<RecipeInfo> RecommendedRecipesOf(Account account);

        public List<RecipeInfo> LookupFavoritesOf(Account account);

        public List<(RecipeInfo, uint)> LookupWeeklyListOf(Account account);

        public AccountRecipeRate GetRateOf(Account account, Recipe recipe);
    }
}
